Skip to content

Update species

Request

Partially updates an existing Species. Only provided fields will be updated.

Security
bearer
Path
siteIdnumberrequired

Site identifier

speciesIdstringrequired

Species unique identifier (UUID)

Bodyapplication/jsonrequired
codeobject(CodeableConceptDto)

Optional coded representation of the species from a terminology system.

extensionsobject

Vendor- or practice-specific extensions.

isActiveboolean

Whether this species is active and can be used in the system.

Example:true
namestring

Human-readable species name (e.g., 'Canine', 'Feline').

Example:"Example Name"
aliasesArray of strings

Optional list of alternative names or synonyms for this species (e.g., common names, abbreviations).

curl -i -X PATCH \
  'https://docs.axiomera.com/_mock/apis/animal-health/openapi/site/{siteId}/ahds/v1/species/{speciesId}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "code": {
      "code": "12345",
      "system": "http://example.com/codesystem",
      "display": "Example Display Name"
    },
    "extensions": {},
    "isActive": true,
    "name": "Example Name",
    "aliases": [
      "string"
    ]
  }'

Responses

Species updated successfully

Bodyapplication/json
codeobject(CodeableConceptDto)required

Optional coded representation of the species from a terminology system.

createdAtstring, (date-time)required

Timestamp when the species record was created.

Example:"2025-01-01T00:00:00.000Z"
extensionsobjectrequired

Vendor- or practice-specific extensions.

isActivebooleanrequired

Whether this species is active and can be used in the system.

Example:true
namestringrequired

Human-readable species name (e.g., 'Canine', 'Feline').

Example:"Example Name"
speciesIdstringrequired

Canonical unique identifier for the species.

Example:"123e4567-e89b-12d3-a456-426614174000"
updatedAtstring, (date-time)required

Timestamp when the species record was last updated.

Example:"2025-01-01T00:00:00.000Z"
aliasesArray of stringsrequired

Optional list of alternative names or synonyms for this species (e.g., common names, abbreviations).

Response
{ "code": { "code": "12345", "system": "http://example.com/codesystem", "display": "Example Display Name" }, "createdAt": "2025-01-01T00:00:00.000Z", "extensions": {}, "isActive": true, "name": "Example Name", "speciesId": "123e4567-e89b-12d3-a456-426614174000", "updatedAt": "2025-01-01T00:00:00.000Z", "aliases": [ "string" ] }